انجمن


به‌روزرسانی خودکار وردپرس با شکست مواجه شد  (۱۶ نوشته)

  • مجتبی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۳۲
    تشکر شده: ۲۴ بار
    # نوشته شده: ۶ سال پیش
    ۱۹ بهمن ۱۳۸۹ - ۱۰:۳۹

    سلام دوستان
    من وردپرس نسخه 3.0.4 رو روی سایتم داشتم بعد اومدم و از بخش بروزرسانی (اون قسمت زیر داشبورد) افزونه هامو خواستم آپدیت کنم که موقع بروزرسانی پیغام فعال سازی حالت تعمیر رو داد و بعد از اون هر صفحه از سایتو خواستم باز کنم با پیغام "جهت انجام عملیات تعمیرات زمان‌بندی شده برای مدت کوتاهی در دسترس نمی‌باشد. یک دقیقه دیگر مراجعه کنید." مواجه می شدم . بعد اومدم و اسم فولدر افزونه هارو تغییر دادم و ده پونزده دقیقه که گذشت مشکل حل شد ( نکته جالب اینکه وقتی از بخش افزونه ها و زیر اسم هر افزونه اونجا که نوشته بروزرسانی اقدام به بروزرسانی میکنم مشکلی وجود نداشت )و البته توی داشبورد با پیغام " به‌روزرسانی خودکار وردپرس با شکست مواجه شد - لطفاً دوباره برای به‌روزرسانی اقدام کنید." مواجه بودم !!! برای حل این مشکل اومدم و wp_maintenance(); رو از فایل wp-settings.php حذف کردم و اون پیغام خطا از بین رفت ولی خب دیگه پیغام بروزرسانی به نسخه جدید نیامد !!! برای اپدیت به نسخه 3.0.5 هم ناچارا اومدم و فایل هایی که تغییر کردن رو جایگزین کردم ولی همچنان پیغام "به‌روزرسانی خودکار وردپرس با شکست مواجه شد - لطفاً دوباره برای به‌روزرسانی اقدام کنید." پا برجاست !!!
    مشکل از چی میتونه باشه ...؟

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    FreeBlog.ir - امین باقیات - Saeed Fard - amirabar
  • عبدالماجد شه بخش ( ایجباری )

    آفلاین
    عضو فعال
    تعداد نوشته‌ها: ۱۰۳۱
    تشکر شده: ۱۴۳۲ بار
    # نوشته شده: ۶ سال پیش
    ۱۹ بهمن ۱۳۸۹ - ۲۱:۲۳

    توی پوشه wp-content یه پوشه با نام upgrade فکر کنم درست میشه . میگم شاید مشکل همون باشه . اسم پوشه رو یه کم تغییر بده ببین مشکل حل میشه . مثلا آخر اسمش یه 1 بزار

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    Mostafa - امین باقیات - Saeed Fard - amirabar
  • مجتبی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۳۲
    تشکر شده: ۲۴ بار
    # نوشته شده: ۶ سال پیش
    ۲۰ بهمن ۱۳۸۹ - ۲۲:۲۰

    فرقی نکرد !!!
    کاش یه برنامه ریزی می شد تا یه سری ادم متخصص جمع بشن و مشکلات به صورت اصولی حل بشه !!!

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    امین باقیات - amirabar
  • FreeBlog.ir

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۵۰
    تشکر شده: ۱۴۸ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۰۰:۵۵

    فایل maintenance را از روت اصلی پاک کنید

    این یک مشکل اساسی در نسخه جدید وردپرس است که ظاهراً همه درگیر آن شده ایم باید تا رسیدن نسخه بعدی صبر کنیم

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    امین باقیات
  • مجتبی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۳۲
    تشکر شده: ۲۴ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۰۹:۱۴

    شماهم این مشکلو دارید ؟! توی سایت های خارجی که من گشتم چیزی ندیدم به نظر ما این مشکلو داریم ...

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    امین باقیات - amirabar
  • مسعود رضایی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۸
    تشکر شده: ۳۲ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۱۲:۲۷

    به نظرم مشکل از نخسه های ۲.۳ به بعد شروع شد . حالا به صورت روشی که در سال های گذشته استفاده می کردیم : روش دستی به روز رسانی کنید.

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    امین باقیات - amirabar
  • FreeBlog.ir

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۵۰
    تشکر شده: ۱۴۸ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۱۷:۵۷

    فکر میکنم بهتر باشه نسخه قدیمی را اپلود کنیم ومنتظر باشیم تا نسخه 3.0.6 بیاد

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    مسعود رضایی - amirabar
  • sunny110

    آفلاین
    عضو
    تعداد نوشته‌ها: ۲
    تشکر شده: ۱ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۱۸:۰۵

    P30temp.com گفت:
    من وردپرس نسخه 3.0.4 رو روی سایتم داشتم بعد اومدم و از بخش بروزرسانی (اون قسمت زیر داشبورد) افزونه هامو خواستم آپدیت کنم که موقع بروزرسانی پیغام فعال سازی حالت تعمیر رو داد و بعد از اون هر صفحه از سایتو خواستم باز کنم با پیغام "جهت انجام عملیات تعمیرات زمان‌بندی شده برای مدت کوتاهی در دسترس نمی‌باشد. یک دقیقه دیگر مراجعه کنید." مواجه می شدم .

    با سلام
    من هم دقیقا مشکلم همینه! تازه جالبه هر بار برای بروز رسانی خودکار اقدام کردم، می دیدم فضای دیسک که ایتدا 15 مگ بیشتر نبود در بار اول به 33 مگ افزایش و در بار دوم به 27 مگ کاهش و در تلاش های بعدی به 30 مگ می رسید.

    من یکی که از خیر آپدیت خودکار گذشتم .

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    amirabar
  • afshin_zavar

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱
    تشکر شده: ۱ بار
    # نوشته شده: ۶ سال پیش
    ۲۱ بهمن ۱۳۸۹ - ۱۸:۱۳

    دوستان، هاست من به طور خودکار، فایل وردپرس رو روی هاست داشت و من فقط unzip کردم و بعد 3.0.4 رو نصب کردم. الان هر کاری میکنم به طور خودکار آپدیت نمیشه.
    به صورت دستی، چه طور باید آپدیت کنم؟ می ترسم تنظیمات و اطلاعاتم پاک بشن

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    amirabar
  • persianview

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۰
    تشکر شده: ۱ بار
    # نوشته شده: ۶ سال پیش
    ۲۲ بهمن ۱۳۸۹ - ۱۰:۱۶

    من هم دقیقن همین مشکل رو دارم عبارت "به‌روزرسانی خودکار وردپرس با شکست مواجه شد - لطفاً دوباره برای به‌روزرسانی اقدام کنید." همیشه بالای داشبوردم هست ولی در عین حال همه چیز بروز رسانی شده ولی این عبارت هست .
    یعنی کسی نیست جواب رو بدون؟
    من خودم میگم باید تغییراتی در UPDATE-CORE.php انجام داد

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    amirabar
  • مسعود رضایی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۸
    تشکر شده: ۳۲ بار
    # نوشته شده: ۶ سال پیش
    ۲۲ بهمن ۱۳۸۹ - ۱۰:۴۰

    afshin_zavar گفت:
    دوستان، هاست من به طور خودکار، فایل وردپرس رو روی هاست داشت و من فقط unzip کردم و بعد 3.0.4 رو نصب کردم. الان هر کاری میکنم به طور خودکار آپدیت نمیشه.
    به صورت دستی، چه طور باید آپدیت کنم؟ می ترسم تنظیمات و اطلاعاتم پاک بشن

    روش دستی خیلی اسونه ایتدا همه فایل های و فولدر های وردپرس تو بجز پوشه wp-content و فایل Wp-Config از روی هاستت حذف می کنی و بعد وردپرس 3.0.5 که دانلود کردی رو باز کن پوشه wp-content و فایل Wp-connfig-simple حذف کن و بعد آپلود کن روی هاستت و Extract کن .
    قدیمی های وردپرس خوب با این روش آشنا هستند

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    FreeBlog.ir - Saeed Fard - sunny110 - amirabar
  • FreeBlog.ir

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۵۰
    تشکر شده: ۱۴۸ بار
    # نوشته شده: ۶ سال پیش
    ۲۲ بهمن ۱۳۸۹ - ۱۱:۰۶

    قدیمی های وردپرس خوب با این روش آشنا هستند

    : دی

    یادش بخیر مسعود

    فعلاً کاری که میشه کرد همینه باید منتظر نسخه بعدی باشیم

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    مسعود رضایی
  • مسعود رضایی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱۸
    تشکر شده: ۳۲ بار
    # نوشته شده: ۶ سال پیش
    ۲۹ بهمن ۱۳۸۹ - ۰۲:۰۵

    دوستان من متوجه شدم مشکل اصلی از سرور هایی هست که میزبان سایت های ما هستند که برای بالا بردن امنیت سرورهاشون درسترسی ها رو محدود کردند . سایت من وقتی رو سرور های پشتیبان بود نمی تونستم اپدیت کنم اما الان رو هاست دی ال هست که به راحتی افرونه ها و وردپرس ام رو اپدیت کردم.

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    FreeBlog.ir - Saeed Fard - amirabar
  • Saeed Fard

    آفلاین
    ناظم
    تعداد نوشته‌ها: ۹۸۰
    تشکر شده: ۱۶۱۴ بار
    # نوشته شده: ۶ سال پیش
    ۲۹ بهمن ۱۳۸۹ - ۲۱:۰۹

    سلام..
    با احترام به نظر همه ی دوستان ..

    دوستان من متوجه شدم مشکل اصلی از سرور هایی هست که میزبان سایت های ما هستند که برای بالا بردن امنیت سرورهاشون درسترسی ها رو محدود کردند . سایت من وقتی رو سرور های پشتیبان بود نمی تونستم اپدیت کنم اما الان رو هاست دی ال هست که به راحتی افرونه ها و وردپرس ام رو اپدیت کردم.

    کاملا درسته..این حرف آقا مسعود کاملا صدق میکنه ..
    چند ماه پیش کسی این مشکل رو نداشت و به راحتی کار میکردند ، اما با پیدا شدن یه گروه هک
    (Cocain TM) که سرورهای وب رو هک میکردن که در بین اینها متاسفانه سرورهای میهن وب هاست هک شد. (که من خودم به یکی از هکرها PM دادم که چرا این کارو میکنید ، گفت به خاطر ضعف امنیتی سرورها) سرورهارو برای اینکه دیگه هک نشن و به امری امنیتشون رو بالا ببرن این کار رو کردن ، و این مشکل به وجود اومد ، و در اصل امنیت بالاست ، نباید اسمش رو مشکل گذاشت ..
    و این مشکل اصلا از نسخه های جدید منتشر شده در وردپرس نیست و حتی اگه نسخه های قدیمی وردپرس رو هم نصب کنید باز هم این مشکل وجود خواهد داشت.. و من هم خودم با این مشکل مواجه هستم ولی خوب دیگه به بروزرسانی دستی عادت کردیم..
    موفق باشید../.

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    مسعود رضایی - Soheil-Green - amirabar
  • علی

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱
    تشکر شده: ۱ بار
    # نوشته شده: ۶ سال پیش
    ۶ اسفند ۱۳۸۹ - ۰۲:۳۴

    رای رفع این مشکل کافی‌ست پرونده‌ی maintenance. را از شاخه‌ی ریشه‌ی وردپرس پاک کنید. همین :-)
    توضیحات بیشتر را این‌جا بخوانید.

    کاربران زیر به‌خاطر این نوشته تشکر کرده‌اند:
    amirabar
  • rezaghazi

    آفلاین
    عضو
    تعداد نوشته‌ها: ۱
    # نوشته شده: ۲ هفته پیش
    ۸ مرداد ۱۳۹۶ - ۱۷:۵۶

    سلام هر سری میام ووردپرس رو ارتقا بدم ارور زیر میاد تقریبا سه چهار سری بروز رسانی همین ارور رو دریافت میکنم
    نمی‌توان پرونده را کپی کرد.: wordpress/wp-includes/class-wp-meta-query.php
    چکار باید بکنم؟

درباره‌ی این موضوع



برچسب‌ها